This guide will walk you through how to create a custom transfer receipt that can be shared with your customers. Generally, this includes the following steps:
- Make a request to
GET /transfers/{{transferId}}to fetch the transfer details. - Make a request to
GET /transfers/{{transferId}}/invoices/bankingpartnerto fetch the banking partner details. - Combine the information from both responses to create a custom transfer receipt.
- Production Environmenthttps://api.wise.com/2026Q3/transfers/{transferId}
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q3/transfers/{transferId}
- UserToken
- PersonalToken
curl -i -X GET \
'https://api.wise.com/2026Q3/transfers/{transferId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'For a complete reference, see the Get a transfer by ID endpoint.
- Production Environmenthttps://api.wise.com/2026Q3/transfers/{transferId}/invoices/bankingpartner
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q3/transfers/{transferId}/invoices/bankingpartner
- UserToken
- PersonalToken
curl -i -X GET \
'https://api.wise.com/2026Q3/transfers/{transferId}/invoices/bankingpartner' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'The transfer must have reached the processing or later state (in most cases, this takes only a few seconds) for this endpoint to return data, otherwise it will return a 404 error.
For a complete reference, see the Get payout information endpoint.
Once you have fetched the transfer details and banking partner details, you can combine the information to create a custom transfer receipt. The custom transfer receipt should include the following information:
- Sender details (name and account number)
- Recipient details (name and account number)
- Amount transferred
- Currency
- Status of the transfer
- Date and time of transfer creation
- Processor name
- Delivery mode
- Banking partner reference
- Banking partner name
- MT103
With this information, you can format the transfer receipt in a manner that suits your needs and preferences. You can create a PDF, HTML, or plain text receipt, and share it with your customers via email or other communication channels.